aboutsummaryrefslogtreecommitdiff
path: root/lib/subcommands/sync.bash
diff options
context:
space:
mode:
Diffstat (limited to 'lib/subcommands/sync.bash')
-rw-r--r--lib/subcommands/sync.bash13
1 files changed, 1 insertions, 12 deletions
diff --git a/lib/subcommands/sync.bash b/lib/subcommands/sync.bash
index e2eac77..0413ce4 100644
--- a/lib/subcommands/sync.bash
+++ b/lib/subcommands/sync.bash
@@ -18,20 +18,9 @@ subcommand()
notice "bashtard/sync" "Syncing $BASHTARD_ETCDIR"
pushd -- "$BASHTARD_ETCDIR" > /dev/null || return 4
git pull origin master || return 4
+ git submodule update --recursive --remote || return 4
popd > /dev/null || return 4
- # Otherwise, do a full sync
- notice "bashtard/sync" "Syncing remote playbooks"
-
- # Update all playbook sources
- while read -r playbook _ branch
- do
- pushd -- "$BASHTARD_ETCDIR/playbooks.d/$playbook" > /dev/null \
- || return 2
- git pull origin "$branch"
- popd > /dev/null || return 2
- done < "$BASHTARD_ETCDIR/playbooks.d/remotes"
-
# Run a sync for each registered playbook for this host
while read -r playbook
do